PDA

View Full Version : [ubuntu] gimp 2.5 compiling



hibernaculus
May 10th, 2008, 10:12 AM
Hi guys,

I have the problem with gimp 2.5 (exactly gegl 0.0.16 library) compiling...

Below is log from terminal:

"make[4]: Wejście do katalogu `/home/piotrk/gimp_2.5/gegl-0.0.16/docs/gallery'
--[Updating sample compositions]--
./clones.xml

(process:19985): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GeglHandler'
**
** ERROR:(gegl-buffer.c:345):gegl_buffer_constructor: assertion failed: (backend)
/bin/bash: line 1: 19985 Aborted GEGL_DEBUG_TIME=yes GEGL_PATH=../../operations ../../bin/gegl clones.xml -o `echo clones.png | sed s?./??` > `echo clones.png | sed s?./?? | sed -e s/png/txt/`
make[5]: *** [clones.png] Błąd 134
./OpenRaster-00.xml

(process:20015): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GeglHandler'
**
** ERROR:(gegl-buffer.c:345):gegl_buffer_constructor: assertion failed: (backend)
/bin/bash: line 1: 20015 Aborted GEGL_DEBUG_TIME=yes GEGL_PATH=../../operations ../../bin/gegl OpenRaster-00.xml -o `echo OpenRaster-00.png | sed s?./??` > `echo OpenRaster-00.png | sed s?./?? | sed -e s/png/txt/`
make[5]: *** [OpenRaster-00.png] Błąd 134
./OpenRaster-01.xml

(process:20045): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GeglHandler'
**
** ERROR:(gegl-buffer.c:345):gegl_buffer_constructor: assertion failed: (backend)
/bin/bash: line 1: 20045 Aborted GEGL_DEBUG_TIME=yes GEGL_PATH=../../operations ../../bin/gegl OpenRaster-01.xml -o `echo OpenRaster-01.png | sed s?./??` > `echo OpenRaster-01.png | sed s?./?? | sed -e s/png/txt/`
make[5]: *** [OpenRaster-01.png] Błąd 134
./OpenRaster-04.xml

(process:20076): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GeglHandler'
**
** ERROR:(gegl-buffer.c:345):gegl_buffer_constructor: assertion failed: (backend)
/bin/bash: line 1: 20076 Aborted GEGL_DEBUG_TIME=yes GEGL_PATH=../../operations ../../bin/gegl OpenRaster-04.xml -o `echo OpenRaster-04.png | sed s?./??` > `echo OpenRaster-04.png | sed s?./?? | sed -e s/png/txt/`
make[5]: *** [OpenRaster-04.png] Błąd 134
make[4]: *** [images.stamp] Błąd 2
make[4]: Opuszczenie katalogu `/home/piotrk/gimp_2.5/gegl-0.0.16/docs/gallery'
make[3]: *** [all-recursive] Błąd 1
make[3]: Opuszczenie katalogu `/home/piotrk/gimp_2.5/gegl-0.0.16/docs/gallery'
make[2]: *** [all-recursive] Błąd 1
make[2]: Opuszczenie katalogu `/home/piotrk/gimp_2.5/gegl-0.0.16/docs'
make[1]: *** [all-recursive] Błąd 1
make[1]: Opuszczenie katalogu `/home/piotrk/gimp_2.5/gegl-0.0.16'
make: *** [all] Błąd 2
"

Thx for any advice (maybe glib version wrong? i don't know)

--
hibernaculus

Gvorcek48
September 10th, 2008, 07:32 AM
I've been searching for answer and found nothing... The post is so old, but still actual for my gimp 2.5.3.

So, for fix this you must use ./configure --disable-docs when compiling gegl, thats helps.

hibernaculus
September 10th, 2008, 04:18 PM
thank you for advice :)

Dave_Connor
September 12th, 2008, 05:20 AM
Just a suggestion since compiling isn't managed by the package manager I would just download a 32bit deb of GIMP-2.5 and getlibs to install the extra libs you need and it runs great on my system.